# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Log/Any/Plugin.pm) perl(Log/Any/Test.pm) perl(Module/Build/Tiny.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Log-Any-Plugin-ANSIColor
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Auto-colorize Log::Any logs with Term::ANSIColor
Group: Development/Perl
License: perl
URL: https://github.com/sdt/Log-Any-Plugin-ANSIColor

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SD/SDT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Log::Any::Plugin::ANSIColor automatically applies ANSI colors to log messages depending on the log level.

For example, with the default colorscheme, `error' logs are red, `warning' logs are yellow.

If a given log level has no coloring, the original log method is left intact, and incurs no overhead.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md examples
%perl_vendor_privlib/L*

%changelog
* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

